body {
  overflow-x: hidden;
  background-color: $white1;
}

@media (min-width: 1400px) {
  .container-xxl, .container-xl, .container-lg, .container-md, .container-sm, .container {
    max-width: $containerWidth;
    padding: 0!important;
  }
}

@media (min-width: 1200px) {
  .container-xxl, .container-xl, .container-lg, .container-md, .container-sm, .container {
    max-width: $containerWidth;
    padding: 0!important;
  }
}

.row > * {
  padding-right: $x / 2!important;
  padding-left: $x / 2!important;
}

.no-padding > * {
  padding-right: 0 !important;
  padding-left: 0 !important;
}

@mixin marginBottom($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      margin-bottom: $x * $i!important;
    }
  }
}
@mixin marginTop($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      margin-top: $x * $i!important;
    }
  }
}
@mixin marginLeft($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      margin-left: $x * $i!important;
    }
  }
}

@mixin marginRight($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      margin-right: $x * $i!important;
    }
  }
}

@mixin margin($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      margin: $x * $i!important;
    }
  }
}

@mixin paddingBottom($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      padding-bottom: $x * $i!important;
    }
  }
}
@mixin paddingTop($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      padding-top: $x * $i!important;
    }
  }
}
@mixin paddingLeft($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      padding-left: $x * $i!important;
    }
  }
}
@mixin paddingRight($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      padding-right: $x * $i!important;
    }
  }
}
@mixin padding($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      padding: $x * $i!important;
    }
  }
}

@mixin gap($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      gap: $x * $i!important;
    }
  }
}

@mixin top($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      top: $x * $i!important;
    }
  }
}

@mixin start($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      left: $x * $i!important;
    }
  }
}

@mixin bottom($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      bottom: $x * $i!important;
    }
  }
}

@mixin end($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      right: $x * $i!important;
    }
  }
}

@mixin marginStart($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      margin-left: $x * $i!important;
    }
  }
}

@mixin marginEnd($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      margin-right: $x * $i!important;
    }
  }
}

@mixin paddingStart($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      padding-left: $x * $i!important;
    }
  }
}

@mixin paddingEnd($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      padding-right: $x * $i!important;
    }
  }
}

@mixin marginX($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      margin-left: $x * $i!important;
      margin-right: $x * $i!important;
    }
  }
}

@mixin marginY($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      margin-bottom: $x * $i!important;
      margin-top: $x * $i!important;
    }
  }
}

@mixin paddingX($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      padding-left: $x * $i!important;
      padding-right: $x * $i!important;
    }
  }
}

@mixin paddingY($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      padding-bottom: $x * $i!important;
      padding-top: $x * $i!important;
    }
  }
}

@mixin bottom($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      bottom: $x * $i!important;
    }
  }
}

@mixin top($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i} {
      top: $x * $i!important;
    }
  }
}

@mixin width($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i}0 {
      width: 10% * $i!important;
    }
  }
}
@mixin height($prefix, $num){
  @for $i from 1 through $num {
    #{$prefix}-#{$i}0 {
      width: 10% * $i!important;
    }
  }
}

$count: 50;
@include marginBottom('.mb', $count);
@include marginTop('.mt', $count);
@include marginLeft('.ml', $count);
@include marginRight('.mr', $count);
@include margin('.m', $count);
@include paddingBottom('.pb', $count);
@include paddingTop('.pt', $count);
@include paddingLeft('.pl', $count);
@include paddingRight('.pr', $count);
@include padding('.p', $count);
@include gap('.gap', $count);
@include top('.top', $count);
@include start('.start', $count);
@include bottom('.bottom', $count);
@include end('.end', $count);
@include marginStart('.ms', $count);
@include marginEnd('.me', $count);
@include paddingStart('.ps', $count);
@include paddingEnd('.pe', $count);
@include marginX('.mx', $count);
@include marginY('.my', $count);
@include paddingX('.px', $count);
@include paddingY('.py', $count);
@include bottom('.bottom', $count);
@include top('.top', $count);

$interval: 10;
@include width('.w', $interval);
@include height('.h', $interval);

.gap-half {
  gap: $x / 2!important;
}

.m-half {
  margin: $x / 2!important;
}

.mb-half {
  margin-bottom: $x / 2!important;
}

.mt-half {
  margin-top: $x / 2!important;
}

.ml-half, .ms-half {
  margin-left: $x / 2!important;
}

.mr-half, .me-half {
  margin-right: $x / 2!important;
}

.mx-half {
  margin-left: $x / 2!important;
  margin-right: $x / 2!important;
}

.my-half {
  margin-top: $x / 2!important;
  margin-bottom: $x / 2!important;
}

.p-half {
  padding: $x / 2!important;
}

.pb-half {
  padding-bottom: $x / 2!important;
}

.pt-half {
  padding-top: $x / 2!important;
}

.pl-half, .ps-half {
  padding-left: $x / 2!important;
}

.pr-half, .pe-half {
  padding-right: $x / 2!important;
}

.px-half {
  padding-left: $x / 2!important;
  padding-right: $x / 2!important;
}

.py-half {
  padding-top: $x / 2!important;
  padding-bottom: $x / 2!important;
}

.gap-quarter {
  gap: $x / 4 !important;
}

.m-quarter {
  margin: $x / 4 !important;
}

.mb-quarter {
  margin-bottom: $x / 4 !important;
}

.mt-quarter {
  margin-top: $x / 4 !important;
}

.ml-quarter, .ms-quarter {
  margin-left: $x / 4 !important;
}

.mr-quarter, .me-quarter {
  margin-right: $x / 4 !important;
}

.mx-quarter {
  margin-left: $x / 4 !important;
  margin-right: $x / 4 !important;
}

.my-quarter {
  margin-top: $x / 4 !important;
  margin-bottom: $x / 4 !important;
}

.p-quarter {
  padding: $x / 4 !important;
}

.pb-quarter {
  padding-bottom: $x / 4 !important;
}

.pt-quarter {
  padding-top: $x / 4 !important;
}

.pl-quarter, .ps-quarter {
  padding-left: $x / 4 !important;
}

.pr-quarter, .pe-quarter {
  padding-right: $x / 4 !important;
}

.px-quarter {
  padding-left: $x / 4 !important;
  padding-right: $x / 4 !important;
}

.py-quarter {
  padding-top: $x / 4 !important;
  padding-bottom: $x / 4 !important;
}

.opacity-90 {
  opacity: 0.90!important;
}

.btn-outline-white {
  border-color: $white;
}

.btn-outline-darkBlue {
  border-color: $darkBlue;
}

.wrapper {
  &-w25 {
    width: 25%!important;
  }
  &-w50 {
    width: 50%!important;
  }
  &-w75 {
    width: 75%!important;
  }
  &-w100 {
    width: 100%!important;
  }
}
.lh{
  &-1 {
    line-height: 1!important;
  }
  &-2 {
    line-height: 2!important;
  }
}